{{- if and (not .Values.postgresql.enabled) (not .Values.externalDatabase.existingSecret) }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "ft.database.secretName" . }}
type: Opaque
data:
  password: {{ .Values.externalDatabase.password | b64enc | quote }}
{{- end }}
